<SchneiderPLC Name="PLC2" Description="PLC2 declaration"  xmlns="http://www.parametershandling.unicos.cern.ch.research">
	<PLCName Value="CFP_PLC1" Description="PLC name (unique within the same unicos application)" DefaultValue="PLC2"/>
	<PLCType Value="" Description="PLC Type"/>
	<ParameterList Name="PREMIUMParameters" Description="Specific parameters for Schneider PREMIUM PLC" isExpertField="false">
		<ParameterList Name="AddressesCalculation" Description="">
			<PositiveIntegerParameter Name="RequestBaseAddress" Value="20000" Description="The base address for the requests." DefaultValue="20000"/>
		</ParameterList>
		<ParameterList Name="RecipeParameters" Description="Recipe parameters">
			<PositiveIntegerParameter Name="BufferAddress" Value="40000" Description="Starting address of the recipe buffers (ManRegAddr, ManRegVal, ReqAddr, ReqVal)." DefaultValue="40000"/>
		</ParameterList>
	</ParameterList>
	<ParameterList Name="QUANTUMParameters" Description="Specific parameters for Schneider QUANTUM PLC" isExpertField="false">
		<ParameterList Name="AddressesCalculation" Description="">
			<PositiveIntegerParameter Name="RequestBaseAddress" Value="20000" Description="The base address for the requests." DefaultValue="20000"/>
		</ParameterList>
		<ParameterList Name="RecipeParameters" Description="Recipe parameters">
			<PositiveIntegerParameter Name="BufferAddress" Value="40000" Description="Starting address of the recipe buffers (ManRegAddr, ManRegVal, ReqAddr, ReqVal)." DefaultValue="40000"/>
		</ParameterList>
	</ParameterList>
	<ParameterList Name="M340Parameters" Description="Specific parameters for Schneider M340 PLC" isExpertField="false">
		<ParameterList Name="AddressesCalculation" Description="">
			<PositiveIntegerParameter Name="RequestBaseAddress" Value="11000" Description="The base address for the requests." DefaultValue="11000"/>
		</ParameterList>
		<ParameterList Name="RecipeParameters" Description="Recipe parameters">
			<PositiveIntegerParameter Name="BufferAddress" Value="15000" Description="Starting address of the recipe buffers (ManRegAddr, ManRegVal, ReqAddr, ReqVal)." DefaultValue="15000"/>
		</ParameterList>
	</ParameterList>
	<ParameterList Name="SchneiderSpecificParameters" Description="Specific parameters for Schneider manufacturer" isExpertField="false">
		<ParameterList Name="TypeMemorySize" Description="">
			<PositiveIntegerParameter Name="EBOOL" Value="1" Description="" DefaultValue="1"/>
			<PositiveIntegerParameter Name="WORD" Value="1" Description="" DefaultValue="1"/>
			<PositiveIntegerParameter Name="REAL" Value="2" Description="" DefaultValue="2"/>
		</ParameterList>
		<ParameterList Name="AddressesCalculation" Description="">
			<PositiveIntegerParameter Name="SpareMemoryBlocks" Value="0" Description="The spare blocks between status and request tables." DefaultValue="0"/>
			<PositiveIntegerParameter Name="TransmitBufferAddress" Value="1000" Description="The base address for the PLC transmission buffer." DefaultValue="1000"/>
		</ParameterList>
		<ParameterList Name="EthernetParameters" Description="" isExpertField="false">
			<IPAddress Name="IpAddressPlc" Value="1.1.1.1" Description="IP Address PLC"/>
			<IPAddress Name="IpAddressDs1" Value="1.1.1.2" Description="IP Address DS1"/>
			<IPAddress Name="IpAddressDs2" Value="1.1.1.3" Description="IP Address DS2"/>
			<IPAddress Name="Gateway" Value="1.1.1.4" Description="Gateway Address"/>
			<IPAddress Name="NetworkMask" Value="255.255.0.0" Description="Network Mask"/>
			<PositiveIntegerParameter Name="EthernetCardSlot" Value="3" Description="Ethernet Card Slot" DefaultValue="3"/>
		</ParameterList>
		<ParameterList Name="ModbusParameters" Description="" isExpertField="false">
			<PositiveIntegerParameter Name="XWayNetwork" Value="1" Description="XWay Network Number" DefaultValue="1" isExpertField="false"/>
			<PositiveIntegerParameter Name="XWayStationDs1" Value="106" Description="XWay Station Number of DS1" DefaultValue="106" isExpertField="false"/>
			<PositiveIntegerParameter Name="XWayStationDs2" Value="107" Description="XWay Station Number of DS2" DefaultValue="107" isExpertField="false"/>
			<PositiveIntegerParameter Name="ModbusAddress" Value="25" Description="MODBUS Unit Address of PLC" DefaultValue="25" isExpertField="false"/>
			<PositiveIntegerParameter Name="BinaryTables" Value="2" Description="Number of binary tables to scan at each cycle (Value &lt; 20)" DefaultValue="2" isExpertField="false"/>
			<PositiveIntegerParameter Name="AnalogTables" Value="2" Description="Number of analog tables to scan at each cycle (Value &lt; 20)" DefaultValue="2" isExpertField="false"/>
			<PositiveIntegerParameter Name="NetLink" Value="3" Description="NetLink parameter for CoDeSys" DefaultValue="3"/>
			<StringParameter Name="NetLinkM340" Value="0.1.0" Description="NetLink parameter for M340 PLC" DefaultValue="0.1.0"/>
		</ParameterList>
		<ParameterList Name="RecipeParameters" Description="">
			<BooleanParameter Name="GenerateBuffers" Value="true" Description="All resources (functions and databases) in both PLC and SCADA associated to the recipe tool will be created." DefaultValue="false"/>
			<PositiveIntegerParameter Name="ActivationTimeout" Value="100" Description="Recipe activation timeout (sec.)" DefaultValue="100"/>
			<PositiveIntegerParameter Name="HeaderBufferSize" Value="20" Description="Size of the header and status buffers" DefaultValue="20"/>
			<PositiveIntegerParameter Name="BufferSize" Value="1000" Description="Maximum number of data used in a recipe [1-1000]" DefaultValue="1000"/>
			<PositiveIntegerParameter Name="HeaderBufferAddress" Value="10" Description="Starting address of the recipe header buffer." DefaultValue="10"/>
			<PositiveIntegerParameter Name="StatusBufferAddress" Value="1010" Description="Starting address of the recipe status buffer." DefaultValue="1010"/>
		</ParameterList>
	</ParameterList>
</SchneiderPLC>
